OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_FiniteElement Class Reference

defines FiniteElement, Type <136> Form <0>
in package IGESAppli
Used to define a finite element with the help of an
element topology.

`#include <IGESAppli_FiniteElement.hxx>`

Inheritance diagram for IGESAppli_FiniteElement:

[legend]

## Public Member Functions
Standard_EXPORT | IGESAppli_FiniteElement ()
Standard_EXPORT void | Init (const Standard_Integer aType, const Handle(IGESAppli_HArray1OfNode)&allNodes, const Handle(TCollection_HAsciiString)&aName)
| This method is used to set the fields of the class FiniteElement - aType : Indicates the topology type - allNodes : List of Nodes defining the element - aName : Element type name .
Standard_EXPORT Standard_Integer | Topology () const
| returns Topology type
Standard_EXPORT Standard_Integer | NbNodes () const
| returns the number of nodes defining the element
Standard_EXPORT Handle_IGESAppli_Node | Node (const Standard_Integer Index) const
| returns Node defining element entity raises exception if Index <= 0 or Index > NbNodes()
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| returns Element Type Name
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theTopology
Handle_IGESAppli_HArray1OfNode | theNodes
Handle_TCollection_HAsciiString | theName

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_FiniteElement::IGESAppli_FiniteElement | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESAppli_FiniteElement::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_FiniteElement::Init | ( | const Standard_Integer | aType,
|  | const Handle(IGESAppli_HArray1OfNode)& | allNodes,
|  | const Handle(TCollection_HAsciiString)& | aName
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_FiniteElement::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_FiniteElement::NbNodes | ( |  | ) | const

Standard_EXPORT Handle_IGESAppli_Node IGESAppli_FiniteElement::Node | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESAppli_FiniteElement::Topology | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString IGESAppli_FiniteElement::theName`[private]`

Handle_IGESAppli_HArray1OfNode IGESAppli_FiniteElement::theNodes`[private]`

Standard_Integer IGESAppli_FiniteElement::theTopology`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_FiniteElement.hxx